Check out our Monthly Survey Page to see what our users are running.
Logitech G502 Hero, linux support ?
Page: «2/2
  Go to:
Guppy 15 Aug, 2019

iwantlinuxgames
GuppyCan't even manage to compile piper on ubuntu - I'm missing pygobject3 development packages, and I can't for the life of me figure out what the package name is :|

python3-gi-dev

actually that package didn't exist, but after installing python-gi-dev meson completes so :|


also needed sudo apt install librsvg2-dev

(LM19/18.04)

So all in all to get a piper that works with the ratbagd from the ppa

git clone https://github.com/libratbag/piper.git
cd piper
git checkout tags/0.2.905
sudo apt install python-gi-dev
meson builddir --prefix=/usr/
ninja -C builddir


This doesn't install it so you you will have to run
Quotebuilddir/piper.devel
every time you want to run it - but on the plus side it doesn't mess up your packages and if the ppa gets fixed you can just use that :)

MrNilsson 17 Aug, 2019

Seems like it's working again. I just got an update.

You need to Register and Login to comment, submit articles and more.


Or login with...